<?php

if ( ! function_exists( 'cevian_select_set_title_centered_type_for_options' ) ) {
	/**
	 * This function set centered title type value for title options map and meta boxes
	 */
	function cevian_select_set_title_centered_type_for_options( $type ) {
		$type['centered'] = esc_html__( 'Centered', 'cevian' );
		
		return $type;
	}
	
	add_filter( 'cevian_select_filter_title_type_global_option', 'cevian_select_set_title_centered_type_for_options' );
	add_filter( 'cevian_select_filter_title_type_meta_boxes', 'cevian_select_set_title_centered_type_for_options' );
}

if ( ! function_exists( 'cevian_select_set_title_centered_type_as_default_options' ) ) {
    /**
     * This function set default title type value for global title option map
     */
    function cevian_select_set_title_centered_type_as_default_options( $type ) {
        $type = 'centered';

        return $type;
    }

    add_filter( 'cevian_select_filter_default_title_type_global_option', 'cevian_select_set_title_centered_type_as_default_options' );
}